# sitelib for noarch packages
%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

Name:           python-werkzeug
Version:        0.4
Release:        1%{?dist}
Summary:        WSGI utility modules

Group:          Development/Languages
License:        BSD
URL:            http://werkzeug.pocoo.org/
Source0:        http://pypi.python.org/packages/source/W/Werkzeug/Werkzeug-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch
BuildRequires:  python-devel


%description
Werkzeug started as a simple collection of various utilities for WSGI
applications and has become one of the most advanced WSGI utility modules.
It includes a powerful debugger, full featured request and response objects,
HTTP utilities to handle entity tags, cache control headers, HTTP dates,
cookie handling, file uploads, a powerful URL routing system and a bunch of
community contributed addon modules. 


%prep
%setup -q -n Werkzeug-%{version}


%build
%{__python} setup.py build
%{__sed} -i 's/\r//' LICENSE


%install
rm -rf $RPM_BUILD_ROOT
%{__python} setup.py install --skip-build --root $RPM_BUILD_ROOT
# The docs should be in the %doc section, not splattered on the filesystem
rm -rf $RPM_BUILD_ROOT/%{_usr}/docs


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc AUTHORS CHANGES PKG-INFO THANKS LICENSE docs/build/*
# For noarch packages: sitelib
%{python_sitelib}/*


%changelog
* Tue Jan  6 2009 Steve 'Ashcrow' Milner <me@stevemilner.org> - 0.4-1
- Initial packaging for Fedora.
